<template>
  <div class="calculator-steps pb-64">
<div class="container mt-100">
  <div class="row">
        <div class="col-12 col-lg-3 ">
      <div class="steps-general d-none d-lg-block" :class="step === 6 ? 'border: 1px solid rgba(39, 205, 165, 0.2);' : ''">
      <div :class="[(step === 1 ? 'steps-active' : ''), (step > 1 ? 'steps-done' : ''), , (step === 5 ? 'steps-finished':'')]">
        <div class="d-flex align-items-center">
        <div class="round-icon">
          <svg v-if="step === 6" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M4.16663 10L8.33329 14.1667L16.6666 5.83334" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
          <svg v-else width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M3.33337 8.45258C3.33337 4.70473 6.31814 1.6665 10 1.6665C13.6819 1.6665 16.6667 4.70473 16.6667 8.45258C16.6667 12.1711 14.5389 16.5102 11.2192 18.0619C10.4453 18.4236 9.55483 18.4236 8.78093 18.0619C5.46114 16.5102 3.33337 12.1711 3.33337 8.45258Z" stroke="#0060B7" stroke-width="1.2"/>
            <ellipse cx="10" cy="8.3335" rx="2.5" ry="2.5" stroke="#0060B7" stroke-width="1.2"/>
          </svg>
        </div>
        <div class="ml-8">
          <h2>
            Route Details
          </h2>
        </div>
        </div>
        <div class="vertical-line">
        </div>
      </div>
      <div :class="[(step === 2 ? 'steps-active' : 'steps-inactive'), (step > 2 ? 'steps-done' : 'steps-inactive'), , (step === 6 ? 'steps-finished':'')]">
        <div class="d-flex align-items-center">
        <div class="round-icon">
          <svg v-if="step === 6" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M4.16663 10L8.33329 14.1667L16.6666 5.83334" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
          <svg v-else class="car-icon" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <ellipse data-v-57e77d04="" cx="5.41671" cy="14.5833" rx="2.08333" ry="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></ellipse>
            <circle data-v-57e77d04="" cx="14.5833" cy="14.5833" r="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></circle>
            <path data-v-57e77d04="" d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z" fill="#768194"></path></svg>
        </div>
        <div class="ml-8">
          <h2>
            Vehicle Information
          </h2>
        </div>
        </div>
        <div class="vertical-line">
        </div>
      </div>
      <div :class="[(step === 3 ? 'steps-active' : 'steps-inactive'), (step > 3 ? 'steps-done' : 'steps-inactive'), , (step === 6 ? 'steps-finished':'')]">
        <div class="d-flex align-items-center">
        <div class="round-icon">
          <svg v-if="step === 6" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M4.16663 10L8.33329 14.1667L16.6666 5.83334" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
          <svg v-else width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="9.99996" cy="4.99984" r="3.33333" stroke="#0060B7" stroke-width="1.2"/>
            <path d="M16.6667 14.5835C16.6667 16.6546 16.6667 18.3335 10 18.3335C3.33337 18.3335 3.33337 16.6546 3.33337 14.5835C3.33337 12.5124 6.31814 10.8335 10 10.8335C13.6819 10.8335 16.6667 12.5124 16.6667 14.5835Z" stroke="#768194" stroke-width="1.2"/>
          </svg>
        </div>
        <div class="ml-8">
          <h2>
            Shipment Details
          </h2>
        </div>
        </div>
        <div class="vertical-line">
        </div>
      </div>
      <div :class="[(step === 4 ? 'steps-active' : 'steps-inactive'), (step > 4 ? 'steps-done' : 'steps-inactive'), , (step === 6 ? 'steps-finished':'')]" >
        <div class="d-flex align-items-center">
        <div class="round-icon">
          <svg v-if="step === 6" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M4.16663 10L8.33329 14.1667L16.6666 5.83334" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
          <svg v-else width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M1.66663 9.1665C1.66663 6.80948 1.66663 5.63097 2.39886 4.89874C3.13109 4.1665 4.3096 4.1665 6.66663 4.1665H10.8333C13.1903 4.1665 14.3688 4.1665 15.1011 4.89874C15.8333 5.63097 15.8333 6.80948 15.8333 9.1665C15.8333 11.5235 15.8333 12.702 15.1011 13.4343C14.3688 14.1665 13.1903 14.1665 10.8333 14.1665H6.66663C4.3096 14.1665 3.13109 14.1665 2.39886 13.4343C1.66663 12.702 1.66663 11.5235 1.66663 9.1665Z" stroke="#768194" stroke-width="1.2"/>
            <path d="M15.8336 6.72998C16.6462 6.80991 17.1931 6.99054 17.6014 7.39878C18.3336 8.13101 18.3336 9.30953 18.3336 11.6665C18.3336 14.0236 18.3336 15.2021 17.6014 15.9343C16.8691 16.6665 15.6906 16.6665 13.3336 16.6665H9.16692C6.8099 16.6665 5.63138 16.6665 4.89915 15.9343C4.49091 15.5261 4.31027 14.9791 4.23035 14.1665" stroke="#768194" stroke-width="1.2"/>
            <path d="M10.8333 9.16683C10.8333 10.3174 9.90055 11.2502 8.74996 11.2502C7.59937 11.2502 6.66663 10.3174 6.66663 9.16683C6.66663 8.01624 7.59937 7.0835 8.74996 7.0835C9.90055 7.0835 10.8333 8.01624 10.8333 9.16683Z" stroke="#768194" stroke-width="1.2"/>
            <path d="M13.3334 10.8335L13.3334 7.50016" stroke="#768194" stroke-width="1.2" stroke-linecap="round"/>
            <path d="M4.16663 10.8335L4.16663 7.50016" stroke="#768194" stroke-width="1.2" stroke-linecap="round"/>
          </svg>

        </div>
        <div class="ml-8">
          <h2>
            Price
          </h2>
        </div>
        </div>
        <div class="vertical-line">
        </div>
      </div>
      <div :class="[(step === 5 ? 'steps-active' : 'steps-inactive'), (step > 5 ? 'steps-done' : 'steps-inactive'), (step === 6 ? 'steps-finished':'')]">
        <div class="d-flex align-items-center">
        <div class="round-icon">
          <svg v-if="step === 6" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M4.16663 10L8.33329 14.1667L16.6666 5.83334" stroke="white" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
          <svg v-else width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M4.16663 18.3332V11.6665M4.16663 11.6665V3.33317M4.16663 11.6665L6.22552 11.2547C7.60096 10.9796 9.02671 11.1105 10.3291 11.6315C11.7404 12.196 13.2936 12.3014 14.7683 11.9328L14.8517 11.9119C15.3401 11.7898 15.5717 11.2306 15.3127 10.7989L14.0122 8.63133C13.7276 8.15703 13.5853 7.91988 13.5516 7.66193C13.5375 7.55433 13.5375 7.44535 13.5516 7.33775C13.5853 7.07979 13.7276 6.84265 14.0122 6.36835L15.0776 4.5926C15.3565 4.12784 14.9342 3.55794 14.4084 3.68939C13.1677 3.99956 11.8609 3.91087 10.6735 3.43591L10.3291 3.29815C9.02671 2.77721 7.60096 2.6463 6.22552 2.92139L4.16663 3.33317M4.16663 3.33317V1.6665" stroke="#768194" stroke-width="1.2" stroke-linecap="round"/>
          </svg>

        </div>
        <div class="ml-8">
          <h2>
            Confirmation
          </h2>
        </div>
        </div>
        </div>
      </div>
      </div>
        <div class="col-12 col-lg-6 calculator-forms">
          <div v-if="step === 1">
              <h1 class="mb-24">Route Details</h1>
            <div class="row">
              <div class="col-12 col-md-6">
                  <div class="relative mb-20" :class="{ 'hasError': $v.shipmentDetails.from.$anyError}">
                    <label class="mb-8">Ship from</label>
                    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <g clip-path="url(#clip0_1829_3110)">
                        <path d="M10.8333 9.16675L18.3333 1.66675M18.3333 1.66675H13.8801M18.3333 1.66675V6.11987" stroke="#0060B7" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M9.99992 1.66658C5.39754 1.66658 1.66658 5.39754 1.66658 9.99992C1.66658 14.6023 5.39754 18.3333 9.99992 18.3333C14.6023 18.3333 18.3333 14.6023 18.3333 9.99992" stroke="#0060B7" stroke-width="2" stroke-linecap="round"/>
                      </g>
                      <defs>
                        <clipPath id="clip0_1829_3110">
                          <rect width="20" height="20" rx="5" fill="white"/>
                        </clipPath>
                      </defs>
                    </svg>
                    <el-autocomplete
                        class="inline-input"
                        v-model="shipmentDetails.from"
                        :fetch-suggestions="querySearch"
                        placeholder="Zip code or City"
                        @select="handleSelectFrom"
                    >
                      <template slot-scope="{ item }">
                        <div>{{ item.city }}, {{ item.state }}, {{ item.name }}</div>
                      </template>
                    </el-autocomplete>
                    <p :class="$v.shipmentDetails.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>
                  </div>
              </div>
              <div class="col-12 col-md-6">
                <div class="relative mb-20" :class="{ 'hasError': $v.shipmentDetails.to.$anyError}">
                  <label class="mb-8">Ship To</label>
                  <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <g clip-path="url(#clip0_1829_3119)">
                      <path d="M17.5 2.5L10 10M10 10H14.4531M10 10V5.54687" stroke="#0060B7" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                      <path d="M9.99992 1.66658C5.39754 1.66658 1.66658 5.39754 1.66658 9.99992C1.66658 14.6023 5.39754 18.3333 9.99992 18.3333C14.6023 18.3333 18.3333 14.6023 18.3333 9.99992" stroke="#0060B7" stroke-width="2" stroke-linecap="round"/>
                    </g>
                    <defs>
                      <clipPath id="clip0_1829_3119">
                        <rect width="20" height="20" rx="5" fill="white"/>
                      </clipPath>
                    </defs>
                  </svg>
                  <el-autocomplete
                      id="calculate-to"
                      class="inline-input"
                      v-model="shipmentDetails.to"
                      :fetch-suggestions="querySearch"
                      placeholder="Zip code or City"
                       @select="handleSelectTo"
                  >
                    <template slot-scope="{ item }">
                      <div>{{ item.city }}, {{ item.state }}, {{ item.name }}</div>
                    </template>
                  </el-autocomplete>
                  <p :class="$v.shipmentDetails.to.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>
                </div>
              </div>
              <div class="col-12 col-md-6">
                <div class="relative mb-24" :class="{ 'hasError': $v.shipmentDetails.type.$anyError}">
                  <label class="mb-8">Size of car</label>
                  <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <ellipse cx="5.41671" cy="14.5833" rx="2.08333" ry="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"/>
                    <circle cx="14.5833" cy="14.5833" r="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z" fill="#0060B7"/>
                  </svg>
                  <el-select
                      v-model="shipmentDetails.type"
                      placeholder="Select"
                      id="calculate-type"
                      :automatic-dropdown="true"
                      style="width: 100%"
                  >
                    <el-option
                        class="size-of-car-select"
                        label="Car"
                        value="Car"
                    >
                      <svg xmlns="http://www.w3.org/2000/svg" width="924" height="284" viewBox="0 0 924 284" fill="none" class="svg replaced-svg"><path d="M168.3 153.5a64.8 64.8 0 1 0 0 129.5 64.8 64.8 0 0 0 0-129.5zm0 115.9a51.1 51.1 0 1 1 0-102.2 51.1 51.1 0 0 1 0 102.2zm551.9-115.9a64.8 64.8 0 1 0 0 129.5 64.8 64.8 0 0 0 0-129.5zm0 115.9a51.1 51.1 0 1 1 0-102.3 51.1 51.1 0 0 1 0 102.3z" fill="#09265E"></path><path d="M720.2 170.3a48 48 0 1 0 0 96 48 48 0 0 0 0-96zm-30 19a10.2 10.2 0 0 1 11-2.9l12.4 12.2-1 12.5-12.5 1.3-12.5-12.2a10.2 10.2 0 0 1 2.6-11zm12 61.5a10.9 10.9 0 0 1-13.9-13.5l12.3-12.5 12.5 1 1.2 12.5-12.2 12.5zm18-27.5zm18-37.6a10.9 10.9 0 0 1 13.8 13.5l-12.2 12.5-12.5-1-1.3-12.5 12.3-12.5zm12 61.6a10.2 10.2 0 0 1-11 2.8L726.9 238l1-12.5 12.5-1.3 12.5 12.2a10.2 10.2 0 0 1-2.6 11z" fill="#09265E"></path><path d="M917 153.5c-2.5-.5-4.8-1.2-7-2.2v31.8a.8.8 0 0 1-.7.8c-.6 0-59.5 8.3-79.1 8.3-20.2 0-22.9-7-23-7.2a.8.8 0 0 1 .5-1 .8.8 0 0 1 1 .4c0 .1 2.7 6.2 21.4 6.2a956 956 0 0 0 78.2-8.2v-32.2a.8.8 0 0 1 1.1-.8c1.5.7 3 1.2 4.6 1.7l-4.6-12.5L902 116s-3-25-7.3-29.6l-7.8-8-19.8-1.6-58-4.2-43-19.7s-88-37-93.1-39c-5.2-2-82.8-15.7-154.7-12.4C446.5 4.7 405.5 13.9 389 18.3c-16.4 4.4-129.2 73.1-129.2 73.1s-153 16.5-198.8 32.5c-45.7 16-44.5 39.8-44.5 39.8a23.5 23.5 0 0 1-8.9 10.9c-6.4 4-2.4 48.1-3.6 48-1.2-.2-3.6 9.4-3.6 9.4l16.9 7.2 14.4 6.8h60.7l10.4-.2a71 71 0 1 1 132.1-3l14-.3h400.3l4.2-.3a71 71 0 1 1 135.8-7.2l10.4-.5s70.2-6.2 81.1-10c11-3.7 22-7.1 22-7.1s10.2-4.1 14-8.1c3.7-4 5.3-15 5.3-15l1.6-36.6-6.7-4.2zm-805.2-22.3c-.2.1-22.4 12.4-28.7 23.9a.9.9 0 0 1-.6.4L57 159.7c-12.7 2-26.4 4.2-31.9 4.8a.8.8 0 0 1-.7-.4.8.8 0 0 1 0-.8c.4-1 11.2-24.7 18.4-27.2 7.2-2.5 50.7-9.8 67-12 7.1-1 8.4-.3 8.8.8.5 2.1-4 4.8-6.9 6.3zm156.8 84.7s17.3-6.8 26.5-7.2l311.3-14.1 20 8.8-357.8 12.5zm-9.4-84.5c-6.7 35 8.5 79 8.7 79.5a.8.8 0 0 1 0 .6.8.8 0 0 1-.5.4h-.3a.8.8 0 0 1-.7-.5c-.2-.4-12.6-36.5-10-69.5a373 373 0 0 1 1.7-12.6 67 67 0 0 1 5.4-15.8C282 77.3 384.7 28 403.7 21.5a.8.8 0 0 1 1 .6.8.8 0 0 1-.5 1c-18.8 6.3-121 55.3-139.3 91.1a63.4 63.4 0 0 0-5.5 16.6l232.5-20.5 203.2-8.9-435.9 30zm426.5-55.8a.8.8 0 0 1-.6.4l-41 1.8h-.8L539.7 82h-.2l-23 1.1-37.5 2.4-.3.1-186 10.7a.8.8 0 0 1-.8-.5.8.8 0 0 1 .3-.9c.5-.4 55.9-47.1 113.2-65.4C441 18 467.1 15.5 482 15.3h5.9l29.9-.1h2.2c72.3.1 110.4 6.1 118.7 7.6h.3l1.5.3c2.6.4 5 1.1 7.5 2 9.4 3 48.8 16.4 49.6 24 .9 8-11.4 25.8-11.9 26.5zm109.4 86.6a213.2 213.2 0 0 1-25-2 .8.8 0 0 1-.1-.5.8.8 0 0 1 .8-.7c.4 0 36 4.6 45.5-2 9-6 48.6-25.2 56.7-29.1-9-4.7-47.3-24.9-49.2-31.2v-.3h-53a.8.8 0 0 1-.7-1 .8.8 0 0 1 .4-.5h54.1c6.3 0 61.4-.4 65.8 2 4.5 2.5 11.5 30.7 12.3 33.9a.8.8 0 0 1-.8 1l-27-3c-3.3 1.6-48.3 23.2-57.7 29.6-4.3 3-13.2 3.8-22.1 3.8z" fill="#09265E"></path><path d="M117 125.4c0 .7-2.8 2.8-6 4.4-24.5 0-46.3 21.5-52.3 28-12.2 2-25.8 4.2-32.3 5 3.5-7.5 11.9-23.4 17-25.2a834 834 0 0 1 71.7-12.4c.7-.1 1.4 0 2 .2zm783.9 4.6-25.9-2.8c-19-9.9-47.6-26-49.6-30.8 13.4 0 30.6 0 43.8.3 1 2.4 7.4 14.6 26.4 14.6 2 6 3.9 13.1 5.3 18.7zM518.8 16.8l-.4.5v-.5h.4zm-22.1.5 19.6-.5-3.8 64.8-32.5 2.2 16.7-66.5zM57.1 159.7H57h.1zm581.1-135 7.8 1.4-3.4 49.5H635l3.2-50.9zM168 170a48 48 0 1 0 0 96 48 48 0 0 0 0-96zm-30 19a10.2 10.2 0 0 1 10.9-2.9l12.5 12.2-1 12.5-12.5 1.3-12.5-12.2a10.2 10.2 0 0 1 2.6-11zm11.9 61.5a10.9 10.9 0 0 1-13.8-13.5l12.2-12.5 12.5 1 1.3 12.5-12.2 12.5zm18-27.5a5 5 0 1 1 .1 0zm18.2-37.6a10.9 10.9 0 0 1 13.7 13.5l-12.2 12.5-12.5-1-1.3-12.5 12.3-12.5zm11.8 61.6a10.2 10.2 0 0 1-10.8 2.8l-12.5-12.2 1-12.5 12.4-1.3 12.5 12.2a10.2 10.2 0 0 1-2.5 11z" fill="#09265E"></path></svg>
                      <span>Car</span>

                    </el-option>
                    <el-option
                        class="size-of-car-select"
                        label="SUV"
                        value="SUV"
                    ><svg xmlns="http://www.w3.org/2000/svg" width="875" height="334" viewBox="0 0 875 334" fill="none" class="svg replaced-svg"><path d="M170.6 216a43.8 43.8 0 1 0 0 87.6 43.8 43.8 0 0 0 0-87.7zm13.3 5.2s17 8.5 17.6 13a6.8 6.8 0 0 1-2.9 6.8l-18.8 11.6-2.8-2.3 6.9-29.1zm-29 .3a6.8 6.8 0 0 1 5.7 4.6l6.2 21.3-3 2-26.2-14.5s12.8-14 17.4-13.4zM138.2 283s-9.9-16.2-8-20.3a6.8 6.8 0 0 1 6-4.3l22.1.1 1.2 3.5-21.3 21zm21.8 13.8a6.8 6.8 0 0 1-1.6-7.1l8.4-20.5 3.7.3 11.4 27.6s-18.7 3-22-.4v.1zm45.2-16.9a6.8 6.8 0 0 1-7.3-.4L180.3 266l1.3-3.4 29.7-3.6s-2.2 18.8-6.2 21z" fill="#09265E"></path><path d="M170.6 211.2a48.6 48.6 0 1 0 0 97.1 48.6 48.6 0 0 0 0-97.1zm0 94.2a45.7 45.7 0 1 1 0-91.4 45.7 45.7 0 0 1 0 91.4z" fill="#09265E"></path><path d="M170.6 186a73.8 73.8 0 1 0 0 147.5 73.8 73.8 0 0 0 0-147.5zm0 124.1a50.4 50.4 0 1 1 0-100.8 50.4 50.4 0 0 1 0 100.8zM696.5 216a43.8 43.8 0 1 0 0 87.6 43.8 43.8 0 0 0 0-87.7zm13.3 5.2s17 8.5 17.6 13a6.8 6.8 0 0 1-2.9 6.8l-18.8 11.6-2.8-2.3 7-29.1zm-29 .3a6.8 6.8 0 0 1 5.8 4.5l6.1 21.3-3 2-26.2-14.4s12.8-14 17.4-13.4zM664 283s-9.9-16.2-8-20.4a6.8 6.8 0 0 1 6-4.2l22.1.1 1.2 3.5-21.3 21zm21.8 13.8a6.8 6.8 0 0 1-1.6-7.1l8.4-20.5 3.7.3 11.4 27.6s-18.7 3-21.9-.4zm45.2-16.9a6.8 6.8 0 0 1-7.3-.4L706.3 266l1.2-3.5 29.7-3.5s-2.1 18.8-6.2 21z" fill="#09265E"></path><path d="M696.5 211.2a48.6 48.6 0 1 0 0 97.1 48.6 48.6 0 0 0 0-97.1zm0 94.2a45.7 45.7 0 1 1 0-91.3 45.7 45.7 0 0 1 0 91.3z" fill="#09265E"></path><path d="M696.5 186a73.8 73.8 0 1 0 0 147.5 73.8 73.8 0 0 0 0-147.5zm0 124.1a50.4 50.4 0 1 1 0-100.8 50.4 50.4 0 0 1 0 100.8zM55.9 139.6a7446 7446 0 0 0 65.8-11.3 40.7 40.7 0 0 1 24.5-8.3l2.4-.3c6-.7 12.2-1.7 18.1-2.7l2.7-.4 19.4-3.4 3-.5c8-2.4 27.3-9.7 30.3-18C207 97 124.2 110 92 117.9a351.5 351.5 0 0 0-68.8 26.3l-.7 2.8c11-3 22.1-5.4 33.4-7.3zM774.2 19.3c0 1.7 7.2 7.5 13.9 12 1.7-.4 8.8-1.6 13.6-1.3l-2-2.3c-2.5-4.2 9.8-4 9.8-4l4.7-6.8-32.6-3.1-6.4-.5c-.6 2-1 4-1 6zm-734.4 221c-1.3-14.9-3.3-31.1-4.7-32.8-.8-.3-3.8-.4-7.7-.4-5.8 0-13.7.3-19.4.5-1.7 0-2.8.3-3.5 1-1.3 1.6-1.4 6-.2 14.2 1.3 9.6 5.4 12.8 7.8 13.8a7.4 7.4 0 0 1 4 4.5l4.4 13.6a5.4 5.4 0 0 0 5.1 3.8h14.6c.5-1.8.2-10.5-.4-18.2zM10.3 214h19.8a1.4 1.4 0 1 1 0 3H10.3a1.4 1.4 0 0 1 0-3zm0 6.3h19.8a1.4 1.4 0 1 1 0 3H10.3a1.4 1.4 0 0 1 0-3zm0 9.3a1.4 1.4 0 0 1 0-3h19.8a1.4 1.4 0 1 1 0 3H10.3zm9.1 7.8a1.4 1.4 0 0 1 1.4-1.4h13.6a1.4 1.4 0 0 1 0 2.9H20.8a1.4 1.4 0 0 1-1.4-1.5zm.6 6.2a1.4 1.4 0 0 1 1.5-1.4H35a1.4 1.4 0 0 1 0 2.9H21.5a1.4 1.4 0 0 1-1.5-1.5zm16.7 8.3H23.2a1.4 1.4 0 0 1 0-2.8h13.5a1.4 1.4 0 0 1 0 2.8zm824.1-136.3v-9c-11.1-2.4-33.7-8.2-31.1-12 3.3-5 15.3-2.4 13.5-11.2-.8-4.1-.8-8.3.2-12.3-9.7-9.4-30.8-29.7-39.6-39-3.1-.8-10 0-14 .7L824 67c.4.4 7 8.2 2.9 12.4-3.7 3.7-44.8 6.6-53.4 7.2-.5.2-1.4.7-1.4 1.4 0 .4.4 2 5.8 4.2 10.8 4.6 69 19.8 69.7 20a116 116 0 0 0 13.2 3.4zm-841 64.1h.2c4.7 0 47.5-17.4 60.6-23l17.8-22.4c-14.5 2.5-32.1 5.5-42.3 7.1a340 340 0 0 0-34 7.6L16 174.7c1.2 2 2.7 4.2 3.8 5zM263.4 85c27-10.5 100-52 110.2-58l-7.1-5.5c-34 13.8-116.7 61.3-122.7 66.5a18 18 0 0 1-4 2.5c4.5.2 11.8-1 23.6-5.5zm609.4 142.8c-2.5.4-8 1.7-11.7 6.1a19 19 0 0 0-3.9 13.8 88 88 0 0 0 16.5-5.6c1.2-1.6-1.3-11-1.3-11l.4-3.3z" fill="#09265E"></path><path d="M873.6 210c-.4-5.8-4.5-6.8-6.8-6.9-16.7 9.5-77.5 13-80.3 13.2a1 1 0 0 1-.7-1.6l.6-.3c.7 0 61.2-3.5 78.5-12.3l-1.7-4.7V191s-.3-13 0-23.8c.2-11-2.4-25.3-2.4-25.3v-24.4c-4.6-1-9.2-2-13.7-3.5-1.7-.5-30.5-8-51-14-3.8 5.4-30.5 44.3-36.5 50a1 1 0 0 1-1.2.1 1 1 0 0 1-.1-1.4 762 762 0 0 0 35.9-49.2 197 197 0 0 1-17-5.6c-4.7-2-7-3.9-7-6 0-1.6 1.8-2.7 2.7-3l.3-.1c19-1.3 50-4.2 52.4-6.7 2.9-3-2.8-9.7-2.9-9.8L787.3 33c-3.6-2.4-15-10.2-15-13.7.2-2 .5-4 1-6L600 .4 465 3.1s-64.3 8.3-89.9 15.4c-1.8.5-4 1.3-6.4 2.3l7.4 5.7a1 1 0 0 1 .2 1.2l-.3.3c-.9.5-82.7 47.4-111.7 58.7a69 69 0 0 1-23.6 5.7 19 19 0 0 1-4.1-.4 51 51 0 0 1-12 2.4h-.3c-2.7 11.4-30.6 19.7-31.8 20h-.1l-3 .6-19.5 3.4-2.6.4c-6 1-12.1 2-18.2 2.7l-2.5.3c-4.4.5-9 1-13.1 2.4-2.6.9-5.1 2-7.5 3.5l-3 2.3c-1.4 1-34.5 25.3-38.1 27-2 1-17.6 7.5-33 13.6-24 9.5-30.1 11-32 11-.4 0-.7 0-1-.2a15 15 0 0 1-3.4-4l-1.9 7.9S6.3 198.6 3 202C-.3 205.3.6 224.2.6 224.2l6 37a34 34 0 0 0 9.4 9.1c5.6 3.6 69.2 8 69.2 8h7.5a80 80 0 1 1 156.9-5l367.4-4.4a80.1 80.1 0 0 1 47.1-82.4l24.2-79.2-10.7-17.6a1 1 0 0 1-.2-.7 1 1 0 0 1 .5-.6 1 1 0 0 1 1.3.4l10.8 17.9a1 1 0 0 1 .1.7l-23.8 78.2a80.1 80.1 0 0 1 110 81.5l7.7.3s26.7-3 30.2-3c3.6 0 10.4-6.9 10.4-6.9s18 .5 23-2.2c5-2.6 3-5.8 3-5.8l4.8-1.3a21 21 0 0 1 4.3-15.5 21.2 21.2 0 0 1 13.2-6.8c.6-5.3.8-10.6.7-15.9zM40.9 260.2c-.2 0-.7.2-6 .2h-9.3a7.3 7.3 0 0 1-6.9-5.1l-4.3-13.7a5.5 5.5 0 0 0-3-3.3c-2.8-1.2-7.5-4.8-9-15.2-1.2-9.2-1-13.5.7-15.6 1.2-1.5 3-1.7 4.8-1.7 4.2-.2 25.4-1 28 0 .7.4 2 1 4 18 1 8.2 1.7 16.3 1.7 16.4 1.5 19.6.1 19.9-.7 20zM505.6 32.6S502 61.7 504 74.5a194 194 0 0 0 3.6 18.6l-37.6.5s10-53.2 7.6-59.8l28.1-1.2zm-97.2 6.6c10.3-2.1 20.6-4.1 31-5.7 8-1.2 16.2-2.4 24.3-2.3 2.8 0 5.6-.2 7.5 2.2 2 2.8 2 7 1.5 10.2-1.5 13.9-11.6 53.6-11.6 53.6s-182.5 10-187.3 7c0-.1 88-55.3 134.6-65zm58.1 80.6a3.8 3.8 0 0 1-3.7 3.8H441a3.8 3.8 0 0 1-4-3.8 3.8 3.8 0 0 1 4-3.8h21.7a3.8 3.8 0 0 1 3.8 3.7zm-196-6.1a1 1 0 0 1 1.4-.2 1 1 0 0 1 .2 1.3c-.1.1-9.6 13-8.7 40.8a807.7 807.7 0 0 0 7.2 71.4.9.9 0 0 1-.4.6 1 1 0 0 1-.3.1h-.2a1 1 0 0 1-.9-.8c0-.4-6.3-43.2-7.2-71.3-1-28.5 8.5-41.4 9-42zm328 137.6H262.4a1 1 0 0 1 0-1.9h336a1 1 0 0 1 .7 1.6 1 1 0 0 1-.6.3zm0-23.7-115 2.4-188.9 4a1 1 0 0 1-1-1 1 1 0 0 1 1-1l187.9-3.8c0-6.8-.6-50 0-73.7.6-25.6 5.2-52.2 5.3-52.5a1 1 0 0 1 1.8.4c0 .2-4.6 26.7-5.2 52.2-.6 23.5-.1 66.7 0 73.6l114.1-2.4a1 1 0 1 1 0 1.8zm41.2-104.1h-21.8a3.8 3.8 0 0 1 0-7.6h21.8a3.8 3.8 0 1 1 0 7.6zm5.1-35.8-131.1 5.4a159.8 159.8 0 0 1-5.4-52c.3-7.7 3.1-13 11.4-14 15.7-1.5 115 0 115 0s7.6 2.9 10.1 15.8 0 44.8 0 44.8zm5-4.3s2-40.6-5.8-52h12L678 82l-28.2 1.4zm102-26.9s-32 17-49.5 22.7c-17.5 5.7-19.5 4-19.5 4l-22-53.5c50-5 85.2 13.5 91 19 5.9 5.6 0 7.8 0 7.8zM860 104.8a1 1 0 0 1-.7-.4 1 1 0 0 1-.2-.6 24 24 0 0 0-1.7-12.3 94 94 0 0 0-13-16.5 1 1 0 1 1 1.4-1.3c.4.4 10.4 10.8 13.3 17 1.8 4.2 2.5 8.8 1.9 13.3a1 1 0 0 1-1 .8z" fill="#09265E"></path></svg>
                      <span>SUV</span>
                    </el-option>
                    <el-option
                        class="size-of-car-select"
                        label="Pickup"
                        value="Pickup"
                    ><svg xmlns="http://www.w3.org/2000/svg" width="900" height="314" viewBox="0 0 900 314" fill="none" class="svg replaced-svg"><path d="M178.5 245c-.9-12-6.2-23.2-15-31.3a45.7 45.7 0 0 0-63.4 1.2 47.4 47.4 0 0 0-13.8 31.8v.7A47.8 47.8 0 0 0 99 281.9a46.2 46.2 0 0 0 33.3 14.5 45.5 45.5 0 0 0 33.4-14.5 47.1 47.1 0 0 0 12.7-36.9zm-18-26.2c2.6 2.7 4.8 5.8 6.5 9.1L136.7 243l14.8-30.8a40 40 0 0 1 9 6.6zm-25 28.6a3.3 3.3 0 0 1-1.8 3.1 3.1 3.1 0 0 1-3.6-.7 3.3 3.3 0 0 1-.8-2.4c0-.5 0-1 .3-1.5.3-.6.9-1.1 1.5-1.4a3.1 3.1 0 0 1 3.8 1c.5.5.7 1.2.7 1.9zm-3-40.4c3.6 0 7.3.7 10.8 1.8l-10.9 32.4-11-32.4c3.6-1.1 7.3-1.7 11-1.8zm-28.2 11.8c2.7-2.6 5.7-4.8 9-6.6L128 243l-30.3-15c1.7-3.4 4-6.5 6.5-9.2zm-11.6 28.6v-.8c.1-3.5.7-7 1.7-10.3l28 9.7 4 1.4-32 11.1c-1-3.6-1.6-7.3-1.7-11.1zm11.6 28.6a40 40 0 0 1-6.5-9.1l30.3-15.1-14.8 30.8c-3.3-1.8-6.3-4-9-6.6zm28.1 11.8c-3.7 0-7.4-.6-11-1.7l11-32.5 11 32.5a39.1 39.1 0 0 1-11 1.7zm28.1-11.8a40.1 40.1 0 0 1-9 6.6l-14.8-30.8 30.3 15c-1.7 3.4-4 6.5-6.5 9.2zm9.9-17.4-31.9-11.2 5-1.8 27-9.3a41.4 41.4 0 0 1 1.7 11.1c-.1 3.8-.7 7.5-1.8 11.1z" fill="#09265E"></path><path d="M196.8 245a66.1 66.1 0 0 0-20-45.2 63.8 63.8 0 0 0-90.2 1.4A66.2 66.2 0 0 0 68 247v.4a66.6 66.6 0 0 0 18.5 46.9 64.4 64.4 0 0 0 45.9 19.5 63.5 63.5 0 0 0 45.9-19.5 65.7 65.7 0 0 0 18.5-49.3zm-64.4 52a48 48 0 0 1-34.5-14.6 50.1 50.1 0 0 1-14.2-35v-.7a50 50 0 0 1 14.1-34.3 48.3 48.3 0 0 1 68-1.2 50 50 0 0 1-33.4 85.8zM754 237.9v-1a47 47 0 0 0-17-26.7 45.6 45.6 0 0 0-59 2.4 47.3 47.3 0 0 0-13.7 47.5 47.3 47.3 0 0 0 23.2 29.4 45.6 45.6 0 0 0 64-23.2 47.7 47.7 0 0 0 2.6-28.4zm-17-19c2.6 2.7 4.8 5.7 6.5 9L723 238.4l-1.4.7-8.3 4 1.9-3.9.3-.6 12.7-26.3a40 40 0 0 1 9 6.6zM709 207c3.6 0 7.3.7 10.9 1.8l-10.1 30-.2.5-.7 2-.6-2-.2-.5-10.1-30c3.5-1.2 7.2-1.7 11-1.8zm3.1 40.4a3.3 3.3 0 0 1-2 3 3.1 3.1 0 0 1-3.4-.7 3.2 3.2 0 0 1-.7-3.5 3.2 3.2 0 0 1 3-2c.8 0 1.6.3 2.2 1 .6.5.9 1.3.9 2.2zm-31.2-28.6c2.7-2.6 5.7-4.8 9-6.6l12.9 26.9.2.4 1.7 3.5-6.7-3.3-.8-.4-22.8-11.4a39 39 0 0 1 6.5-9zm-11.7 28.6c0-2.3.3-4.5.7-6.8v-.2l1-4.1 10.5 3.6.8.3 20.6 7.2-32 11.1c-1-3.6-1.5-7.3-1.6-11.1zM681 276a40 40 0 0 1-6.5-9.1l30.3-15.1-14.8 30.8c-3.3-1.7-6.3-4-9-6.6zm28 11.8c-3.6 0-7.3-.6-10.9-1.7l11-32.5 11 32.5a39.3 39.3 0 0 1-11 1.7zm28-11.8a40.2 40.2 0 0 1-9 6.6l-14.8-30.8 30.3 15a37.3 37.3 0 0 1-6.5 9.2zm10-17.4-32-11.2 26.1-9.1 2.7-1 3.1-1a257.3 257.3 0 0 0 .5 1.8 40 40 0 0 1 1.3 9.3 38 38 0 0 1-1.8 11.1z" fill="#09265E"></path><path d="M772.6 237.3v-.6a65.8 65.8 0 0 0-22.9-40 63.7 63.7 0 0 0-85 3.1 66 66 0 0 0-20.2 47.6 66.6 66.6 0 0 0 18.6 46.9 64.4 64.4 0 0 0 45.9 19.5 63.5 63.5 0 0 0 45.8-19.5 65.7 65.7 0 0 0 17.8-57zM708.9 297a47.8 47.8 0 0 1-34.4-14.6 50.1 50.1 0 0 1 1.6-71.7 48.3 48.3 0 0 1 80.5 26.1l.1 1a50.5 50.5 0 0 1-10.1 41 49 49 0 0 1-37.7 18.2zM13.7 166.2v7h11.5c.7 0 1.4-.3 2-.8.4-.4.8-1 1-1.7v-27.4a2.8 2.8 0 0 0-.7-2.1c-.7-.5-1.5-.7-2.3-.6H14.7l-.3 4.8h6.7v5.2h-7v2.5h7v5.3h-7.3v2.5H21v5.2h-7.4zm393.9-46h-29.1a3.7 3.7 0 0 0-3.5 2.3l-.2 1.5v7.8a3.8 3.8 0 0 0 1 2.7 3.7 3.7 0 0 0 2.7 1.1h29.1c1 0 2-.4 2.6-1 .7-.8 1.1-1.7 1.1-2.8V124a3.8 3.8 0 0 0-2.3-3.5c-.4-.2-.9-.3-1.4-.3zm-2.7 10.3h-23.7c-.6 0-1.2-.4-1.6-.8a2.6 2.6 0 0 1 0-3.5 2 2 0 0 1 1.6-.8H405a2 2 0 0 1 1.6.8 2.6 2.6 0 0 1 0 3.5 3 3 0 0 1-1.6.8zM309.3 20l-97 67.4c-2.1.2-4.1-.2-6-1 17.3-13.1 67.5-50.4 99-66.3h4zm553.9 199-2 5.7c0 .2-21.6.6-35.3.7 0-1 .3-2.1.5-3.2h.7a36.8 36.8 0 0 0 12.8-3.7 36 36 0 0 0 12.4 1.5c3.7 0 7.3-.3 11-1zm-4.2-84.1c0 7.6-.4 15.2-1.3 22.7l-.9.5-1.7.8-1 .4a28.5 28.5 0 0 1-9 1.6h-1.8l-3.1-.1c-.7 0-1.3 0-2-.2h-.9l-1.6-.3-1.5-.2-1.3-.3-.9-.2-.8-.2V135h27.9zm10.6 81.9z" fill="#09265E"></path><path d="M844 162.4a51 51 0 0 1-13-1.7c-.1 0-1-.1-1-.3v-25.8a72.8 72.8 0 0 1-14-13.2c-3-5 .3-11.6.5-11.9l1-1c-.1 0 .1 0 0 0l39.5-1c-2-9-2.3-8.6-6-17l-431.6 5.7 27.6-.8V5.6h-45.8s-47.4-.1-79.1 8a76 76 0 0 0-13.4 5.2h3.6c.1 0 .2 0 .3.2.2 0 .2.2.3.3v.4l-.3.3-99 68.7-.3.1h-1.2c-1 0-1.9 0-2.8-.2a9.3 9.3 0 0 1-3.4-1.3l-5 3.9-6-.2-18.8 16.1-.4.2c-1 0-101.6 9.1-115.7 11a21.2 21.2 0 0 0-17 11h17c1 0 2.1.4 3 1a3.6 3.6 0 0 1 1 2.8v1.3c0 3.8.1 7.1-1.6 7.4-1.4.5-12.3 11-13.1 13.7-.7 2.3-1.2 14.7-1.3 21-.5 2-2.4 6-6.6 6H13.5l-.7.6-6.7 6.5-4.6 13.2s-.4 10.2 0 18.3c.3 8.1 19 21 19 21l16.6 3.7 27.4 1.1A70.5 70.5 0 0 1 85 198.8a68.1 68.1 0 0 1 95.4-1.3 70.5 70.5 0 0 1 21.6 47.6h350.6l73.8-.2 15-3.2a71 71 0 0 1 21-45 68.1 68.1 0 0 1 91.5-3c13 11 21.4 26.5 23.9 43.5l6.2.6c1.7.2 3.2-1.5 3.2-1.5h11.5c6.7 0 13.5-5.6 13.5-5.6l2.9-5.1h10c.5-4.3.6-4.4 1-4.5l1-.2c10.2-1.8 12.8-3 13.1-3.5l.1-.1.1-.2.1-.2.2-.6a18.7 18.7 0 0 0 .8-3.4l.7-4.5.3-1.9.2-1.5.1-1 .2-1.5.2-1.5 1-9.4.2-1.6.2-2.3.1-1.8.1-.2.3-.2 5-4.5 1-.1a68.4 68.4 0 0 0 6-17.1s.8-2.8 1-4.4a30.2 30.2 0 0 1-14 3zM60.3 158c12-11.4 26.5-19.9 42.2-25 23.7-7.5 60.7-9.3 101.6 25l.2.4v.5a.7.7 0 0 1-.6.2c-.2 0-.3 0-.4-.2-40.5-33.8-77-32-100.4-24.5A110.2 110.2 0 0 0 60.7 159a.7.7 0 0 1-.6-.9l.2-.2zm147.5 73.2a.6.6 0 0 1-.5-.2.6.6 0 0 1-.1-.5 89.2 89.2 0 0 0-10.4-35.7c-9-16.3-27.7-35.7-66-35.7-38.4 0-57.1 19.4-66 35.7A88.6 88.6 0 0 0 54.2 231l-.4.2-.5-.2a90.2 90.2 0 0 1 10.3-36.8c9.2-16.6 28.2-36.4 67.2-36.4s58 19.8 67.2 36.4a90.2 90.2 0 0 1 10.3 36.8.7.7 0 0 1-.5.2zm29.1-135c0-3.4 3.4-7 5.7-9.4l.4-.3a72 72 0 0 1 4.7-4.6l.2-.2 1.5-1.2 2.6-2.3 5.9-4.4a336.3 336.3 0 0 1 26.7-17.6l3-1.9 6.8-4.1 7.8-4.8 1.3-.8.5-.2.1-.1 5.1-3.3.6-.4h.1l1.7-1 10.4-6.4 2.3-1.3a47 47 0 0 1 10.2-5.2c11-3.5 23.9-5.2 40.4-5.6l47.4-1.8c-1.2-14.8-12.2 77-3 77l27.7-1-26 1h-53.4c-4.7 0-20.7.6-31.8 8.6-6.2 4.3-13.3 7-20.8 8l-77.4 2.7a.6.6 0 0 1-.6-.4c-.2-.2-2.1-5.6-.1-19zM413.5 124v7.9c0 1.3-.6 2.6-1.5 3.6a5 5 0 0 1-3.6 1.5h-29.1a5 5 0 0 1-3.6-1.5 5 5 0 0 1-1.5-3.6v-8a5 5 0 0 1 1.5-3.5 5 5 0 0 1 3.6-1.5h29.1a5 5 0 0 1 3.6 1.4 5.1 5.1 0 0 1 1.5 3.7zm188.4 73-376.6 8.4-.5-.1a.7.7 0 0 1 0-1l.5-.2 376.5-8.4.5.1.2.5c0 .2 0 .3-.2.5l-.5.2zm0-8.5L225.3 197c-.2 0-.4 0-.5-.2a.7.7 0 0 1-.2-.5.7.7 0 0 1 .2-.5l.2-.1h.3l376.5-8.5c.2 0 .4 0 .5.2l.2.4a.7.7 0 0 1-.2.5.7.7 0 0 1-.5.2zm37.6-28.7a112 112 0 0 1 42.2-25c23.8-7.5 60.7-9.3 101.6 25 .2 0 .2.2.3.4 0 .2 0 .3-.2.5a.7.7 0 0 1-.5.2l-.4-.1c-40.5-33.9-76.9-32-100.4-24.7A110.8 110.8 0 0 0 640 161a.6.6 0 0 1-.6-.4.7.7 0 0 1 0-.5l.1-.2zM787.1 233c-.2 0-.3 0-.5-.2a88.5 88.5 0 0 0-10.6-36.2c-9-16.3-27.6-35.7-66-35.7-38.3 0-57 19.4-66 35.7a89.2 89.2 0 0 0-10.6 36.2.6.6 0 0 1-.9 0 .6.6 0 0 1-.1-.5 90 90 0 0 1 10.5-36.3c9-16.6 28.1-36.4 67.1-36.4 39 0 58 19.8 67.2 36.4a90.2 90.2 0 0 1 10.3 36.8.6.6 0 0 1-.5.2z" fill="#09265E"></path><path d="m404.7 21.7-30.6.6a142 142 0 0 0-40 5.6l-1 .3-.4.1a11 11 0 0 0-1 .5l-.4.1-2 1.2c-5.1 2.8-13.3 8-13.3 8l-7.4 4.6-2.5 1.6-2.7 1.4-1.3.7-7.8 4.8-6.7 4.2-3 1.9L280 60a320.5 320.5 0 0 0-30.6 21.3l-1.4 1.2-.3.3c-.2 0-.7.5-.8.6l-.2.3a80.3 80.3 0 0 0-3.6 3.5l-.4.4c-2 2-5.3 5.6-5.3 8.5-1.7 11-.6 16.5-.2 18l77-2.7s11-1 20-7.6c11.4-8.3 27.8-9 32.6-9h35.4l2.5-73.1zm-5.6 69.8a144 144 0 0 0-56.3 5.7c-7 2.5-13.5 7.2-17.7 9.3a36.5 36.5 0 0 1-10.8 2.6l-.8.1h-.9l-72.4 1.7s-4.2-15 8.2-25.2C260.7 75.5 327.7 33 337 29.8c9.4-3.2 65.3-4.9 65.3-4.9L399 91.5zm459.9 37h-6.4l-7.4-7.6v-5.2h13.2c.4 3.9.6 8.2.7 12.8z" fill="#09265E"></path><path d="M859.1 133.5h-28.3c-1.5-1-11.6-8.6-14.2-12.9-2.2-3.8 0-9.6.7-11.2l40-.6.7 4 .2 1.6h-13.7c-.1 0-.3 0-.4.2l-.2.4v6.1a.6.6 0 0 0 .2.5l7.8 8 .5.2h6.7v3.7zm-797.8 6.9A54.4 54.4 0 0 0 47 155c-.9 3-1.3 20.6-1.3 21.2 0 .2-1 4.8-5.3 4.8H13.7v-6.5h11.5c1 0 2-.4 2.7-1 .8-.7 1.3-1.5 1.6-2.5v-27.6a4 4 0 0 0-1.3-3.2c-.9-.7-2-1-3.1-.9H14.8l1-8.6h43.3a3 3 0 0 1 2 .6 2.3 2.3 0 0 1 .7 1.8v1.3c.1 1.8.1 5.7-.5 6zM192 91l-17.4 14.9c-5.2.5-101.7 9.2-115.6 11-12.8 1.7-17.3 10.3-18.1 12.4H16c.3-2 .8-3.8 1.6-5.6 4.6-9.9 4.3-11.6 76.9-23 52-8.3 83.8-9.6 97.5-9.7zm677 109.1a85 85 0 0 1-4 14.4l-.4.9-.8 2.2c-7.3 2-20.9.9-23-.1 1.7-3.7 3.9-25.9 4.4-31.3l4.8-3.5 18.3.3s2 9.5.7 17.1zm-7-40.5zM41.3 130.7zM422 21.4v73.5h-19.7l2.4-73.2 17.4-.3zM329.5 30h-.2l2-1 .2-.2h.2l.3-.2.7-.3h.3c.7-.2-1.2.6-3.5 1.6z" fill="#09265E"></path></svg>
                      <span>Pickup</span>
                    </el-option>
                    <el-option
                        class="size-of-car-select"
                        label="Motorcycle"
                        value="Motorcycle"
                    >
                      <svg xmlns="http://www.w3.org/2000/svg" width="400" height="240" viewBox="0 0 400 240" fill="none" class="svg replaced-svg"><path d="m307.8 131.5 12.4-7.2c.9-.5 3 .4 3.5 1.3l10.2 31.9c3.6 2.2 6.2 5.8 6.2 10.7a12 12 0 1 1-24 0c0-1.7.5-3 1-4.9l-10.7-28.2c-.4-1.4 0-2.7 1.4-3.6zM277.2 175H259c-.4 0-.9-.5-.9-1-.4-1.7-.4-4.4-.4-6.2 0-26 13.3-49 33.7-61.5l8 20.2a52.2 52.2 0 0 0-20.9 47.1c0 1-.9 1.4-1.3 1.4zm25.2-46.7-.4-.9c-.5-.9.4-3.1 1.3-3.6l13.3-7.2c1.3-.9 3.1 0 3.6 1.4l.4.9c.5.9-.4 2.2-1.3 3.1l-13.3 7.2c-1.4.9-2.7.9-3.6-.9zM343.2 75l-38.5 4.9.4.4c.4 1-.4 2.3-1.3 3.2l-13.3 7.1c-1 .5-2.2.5-3.1-.9l-3.6-7.1-31.5 4a10 10 0 0 1-10.6-9l-2.2-22c-1-6.7 4-11.2 10.2-11.2l93.5.5c12.5 0 18.2 27.3 0 30zM91 56c-.5 1.9-2.3 2.3-4.5 2.3h-5.8c-2.2 0-4.9-1.8-4.9-4.5-1.3-21-14.6-31.4 0-31.4H94c4 0 6.7 3.6 5.3 7.2L91 56.1z" fill="#09265E"></path><path d="M209.8 129.2 224 97.4c.4-1.4 1.7-3.2 3.5-3.2l52.8-5.4c2.2 5 4.4 9-1.8 10.8-26.6 8-32 49.3-33.7 71.3-.4 2.3-2.2 4.5-4.9 4.5l-28.4.5c-3.5 0-5.3-4.5-3.5-6.8 8.9-10.7 5.3-29.6 1.8-35.4a7.7 7.7 0 0 1 0-4.5zm86.9-15.2-.5-1c-.4-.8.5-3 1.4-3.5l12.8-7.2c1.4-1 3.1 0 3.6 1.3l.4 1c.5.8-.4 2.2-1.3 3l-13.3 7.2c-1 .5-2.7.5-3.1-.8z" fill="#09265E"></path><path d="m165 130-9.8-32.7c-.4-1.8.9-3.1 3.1-3.1h50.1c1.8 0 3.1 1.8 2.2 3.6l-13.3 35.4a25 25 0 0 1 7.1 17.5c0 9.4-4 17.5-12.8 22v6.7H302c7.5 0 13.7 6.8 40.3 6.8v9.8c-26.6 0-32.3 6.3-40.3 6.3H192c-14.2 0-23-6.7-23-21v-6.4c-9-4-15.1-13-15.1-23.3.4-9 4.9-16.6 11-21.5z" fill="#09265E"></path><path d="M72.3 87.5c5.3 0 10.6.4 15.5 1.8l4-11.2c.4-1 2.2-1.8 3.5-1.4h.5l5.3-13.4-3-1.4c-1-.4-1.9-2.2-1.4-3.6l7.5-22c.5-.9 2.2-1.8 3.6-1.3l3.5 1.3 9.8-26.9c1.7-5 7-9.4 12.4-9.4h28c1.3 0 3.5 3.1 3.5 4.5v5.4c0 1.3-2.2 3.6-3.6 3.6h-22.6c-1.8 0-3.5.4-4 2.2L127.3 35c1.8-1.4 3-2.3 5.3-2.3 24 0 66.5 12.6 95.3 18.9 4 .9 6.7 4.5 7.1 8l1 18.5c.4 5.8-4.5 11.6-10.3 11.6h-93.5c-7.6-4.5-12-9.9-13.3-18.8l-5-2.3-5.3 13c1.4.5 1.8 2.3 1.4 3.2L105.5 96a72 72 0 0 1 37.3 63.3c0 39.9-32 72.2-71.4 72.2A71.8 71.8 0 0 1 0 159.3a73 73 0 0 1 72.3-71.8zm0 123.3c28 0 50.5-22.8 50.5-51.1a51 51 0 0 0-24.3-43.5l-15.6 38.6c1 1.8 1.4 3.1 1.4 5.3a12 12 0 1 1-24 0 11 11 0 0 1 6.2-10.3L80.7 109c-2.6-.4-5.8-.9-8.4-.9-28 0-50.6 22.9-50.6 51.2a51 51 0 0 0 50.6 51.5zm198.7-4.5h24.8c8.9 9 20.4 12.6 32.8 12.6 28 0 50.6-22.9 50.6-51.1a50.8 50.8 0 0 0-50.6-51.2c-1.8 0-4 0-5.8.5l-6.6-20.7c4-.4 8-.9 12.4-.9a71.8 71.8 0 0 1 71.4 72.3c0 39.9-32 72.2-71.4 72.2a73 73 0 0 1-59-31.4c-.9-1 .5-2.3 1.4-2.3z" fill="#09265E"></path><path d="m300.2 120.7-.4-1c-.5-.8.4-3 1.3-3.5L314 109c1.3-.9 3 0 3.5 1.4l.5.9c.4.8-.5 2.2-1.4 3l-13.3 7.3c-1.3.4-2.6.4-3-1zM311.3 95l.5 1c.4.9-.5 2.2-1.4 3.1l-13.3 7.2c-.9.5-2.2.5-3-.9l-.5-.9c-.5-.9.4-3.1 1.3-3.6l12.9-7.2c1.7-.9 3 0 3.5 1.4zm-4.4-3-13.3 7c-1 .5-2.3.5-3.1-.9l-.5-.8c-.4-1 .5-3.2 1.3-3.6l13-7.2c1.2-1 3 0 3.5 1.3l.4 1c.9.8-.4 2.6-1.3 3z" fill="#09265E"></path></svg>
                      <span>Motorcycle</span>
                    </el-option>
                  </el-select>
                  <p :class="$v.shipmentDetails.type.$anyError ? 'd-block' : 'd-none'">*Please chose your vehicle size</p>
                </div>
              </div>
              <div class="col-12">
                <button class="mt-32" @click="shipmentDetailsValidate()">
                  <svg style="margin-top: -3px; margin-right: 4px;" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <rect x="4" y="3" width="16" height="18" rx="2" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <rect x="8" y="7" width="8" height="3" rx="1" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                  </svg>
                  Calculate
                </button>
              </div>
            </div>
          </div>
          <div v-if="step === 2 && shipmentDetails.type !== 'Motorcycle'">
            <h1 class="mb-24">Vehicle Information</h1>
            <div class="row">
              <div class="col-12 col-md-6">
                <div class="relative mb-20">
                  <label for="">Vehicle Year</label>
                  <svg width="20" height="20" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M3.02564 12.0257C3.02564 8.64124 3.02564 6.94901 4.07705 5.8976C5.12846 4.84619 6.82068 4.84619 10.2051 4.84619H13.7949C17.1793 4.84619 18.8715 4.84619 19.9229 5.8976C20.9744 6.94901 20.9744 8.64124 20.9744 12.0257V13.8206C20.9744 17.205 20.9744 18.8972 19.9229 19.9486C18.8715 21 17.1793 21 13.7949 21H10.2051C6.82068 21 5.12846 21 4.07705 19.9486C3.02564 18.8972 3.02564 17.205 3.02564 13.8206V12.0257Z" stroke="#0060B7" stroke-width="1.5"/>
                    <path d="M7.51282 4.84615V3.5" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
                    <path d="M16.4872 4.84615V3.5" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
                    <path d="M3.47436 9.33325H20.5256" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
                    <path d="M17.3846 16.5128C17.3846 17.0085 16.9828 17.4103 16.4872 17.4103C15.9915 17.4103 15.5897 17.0085 15.5897 16.5128C15.5897 16.0172 15.9915 15.6154 16.4872 15.6154C16.9828 15.6154 17.3846 16.0172 17.3846 16.5128Z" fill="#0060B7"/>
                    <path d="M17.3846 12.9231C17.3846 13.4187 16.9828 13.8205 16.4872 13.8205C15.9915 13.8205 15.5897 13.4187 15.5897 12.9231C15.5897 12.4274 15.9915 12.0256 16.4872 12.0256C16.9828 12.0256 17.3846 12.4274 17.3846 12.9231Z" fill="#0060B7"/>
                    <path d="M12.8974 16.5128C12.8974 17.0085 12.4956 17.4103 12 17.4103C11.5044 17.4103 11.1026 17.0085 11.1026 16.5128C11.1026 16.0172 11.5044 15.6154 12 15.6154C12.4956 15.6154 12.8974 16.0172 12.8974 16.5128Z" fill="#0060B7"/>
                    <path d="M12.8974 12.9231C12.8974 13.4187 12.4956 13.8205 12 13.8205C11.5044 13.8205 11.1026 13.4187 11.1026 12.9231C11.1026 12.4274 11.5044 12.0256 12 12.0256C12.4956 12.0256 12.8974 12.4274 12.8974 12.9231Z" fill="#0060B7"/>
                    <path d="M8.41025 16.5128C8.41025 17.0085 8.00846 17.4103 7.51282 17.4103C7.01718 17.4103 6.61538 17.0085 6.61538 16.5128C6.61538 16.0172 7.01718 15.6154 7.51282 15.6154C8.00846 15.6154 8.41025 16.0172 8.41025 16.5128Z" fill="#0060B7"/>
                    <path d="M8.41025 12.9231C8.41025 13.4187 8.00846 13.8205 7.51282 13.8205C7.01718 13.8205 6.61538 13.4187 6.61538 12.9231C6.61538 12.4274 7.01718 12.0256 7.51282 12.0256C8.00846 12.0256 8.41025 12.4274 8.41025 12.9231Z" fill="#0060B7"/>
                  </svg>
                  <el-autocomplete
                      id="vehicle-year-main"
                      class="inline-input"
                      :automatic-dropdown="true"
                      v-model="vehicle.year"
                      :fetch-suggestions="querySearchVehicleYear"
                      placeholder="Vehicle year"
                      :maxlength="4"
                      @select="handleSelectVehicleYear"
                  >
                    <i
                        class="el-select__caret el-input__icon el-icon-arrow-down"
                        slot="suffix"
                        @click="">
                    </i>
                    <template slot-scope="{ item }">
                      <div>{{ item }}</div>
                    </template>
                  </el-autocomplete>
                  <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
                </div>
              </div>
              <div class="col-12 col-md-6">
                <div class="relative mb-20">
                  <label for="">Vehicle Make</label>
                  <svg data-v-1762e93d="" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><ellipse data-v-1762e93d="" cx="5.41671" cy="14.5833" rx="2.08333" ry="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></ellipse> <circle data-v-1762e93d="" cx="14.5833" cy="14.5833" r="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></circle> <path data-v-1762e93d="" d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z" fill="#0060B7"></path></svg>
                  <el-autocomplete
                      id="vehicle-make-main"
                      class="inline-input"
                      v-model="vehicle.make"
                      :fetch-suggestions="querySearchVehicleMake"
                      placeholder="Vehicle make"
                      @select="handleSelectVehicleMake(vehicle.year, vehicle.make)"
                  >
                    <i
                        class="el-select__caret el-input__icon el-icon-arrow-down"
                        slot="suffix"
                        @click="">
                    </i>
                    <template slot-scope="{ item }">
                      <div>{{ item.value }}</div>
                    </template>
                  </el-autocomplete>
                  <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
                </div>
              </div>
              <div class="col-12 col-md-6">
                <div class="relative mb-20">
                  <label for="">Vehicle Model</label>
                  <svg data-v-1762e93d="" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><ellipse data-v-1762e93d="" cx="5.41671" cy="14.5833" rx="2.08333" ry="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></ellipse> <circle data-v-1762e93d="" cx="14.5833" cy="14.5833" r="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></circle> <path data-v-1762e93d="" d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z" fill="#0060B7"></path></svg>
                  <el-autocomplete
                      id="vehicle-model-main"
                      class="inline-input"
                      v-model="vehicle.model"
                      :fetch-suggestions="querySearchVehicleModel"
                      placeholder="Vehicle Model"
                  >
                    <i
                        class="el-select__caret el-input__icon el-icon-arrow-down"
                        slot="suffix"
                        @click="">
                    </i>
                    <template slot-scope="{ item }">
                      <div>{{ item.value }}</div>
                    </template>
                  </el-autocomplete>
                  <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
                </div>
              </div>
              <div class="col-12">
                <button class="mt-32" @click="step ++">
                  <svg style="margin-top: -3px; margin-right: 4px;" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <rect x="4" y="3" width="16" height="18" rx="2" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <rect x="8" y="7" width="8" height="3" rx="1" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                  </svg>
                  Calculate
                </button>
              </div>
            </div>
          </div>
          <div v-if="step === 2 && shipmentDetails.type === 'Motorcycle'">
            <h1 class="mb-24">Vehicle Information</h1>
            <div class="row">
              <div class="col-12 col-md-6">
                <div class="relative mb-20">
                  <label for="">Motorcycle Year</label>
                  <svg width="20" height="20" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M3.02564 12.0257C3.02564 8.64124 3.02564 6.94901 4.07705 5.8976C5.12846 4.84619 6.82068 4.84619 10.2051 4.84619H13.7949C17.1793 4.84619 18.8715 4.84619 19.9229 5.8976C20.9744 6.94901 20.9744 8.64124 20.9744 12.0257V13.8206C20.9744 17.205 20.9744 18.8972 19.9229 19.9486C18.8715 21 17.1793 21 13.7949 21H10.2051C6.82068 21 5.12846 21 4.07705 19.9486C3.02564 18.8972 3.02564 17.205 3.02564 13.8206V12.0257Z" stroke="#0060B7" stroke-width="1.5"/>
                    <path d="M7.51282 4.84615V3.5" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
                    <path d="M16.4872 4.84615V3.5" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
                    <path d="M3.47436 9.33325H20.5256" stroke="#0060B7" stroke-width="1.5" stroke-linecap="round"/>
                    <path d="M17.3846 16.5128C17.3846 17.0085 16.9828 17.4103 16.4872 17.4103C15.9915 17.4103 15.5897 17.0085 15.5897 16.5128C15.5897 16.0172 15.9915 15.6154 16.4872 15.6154C16.9828 15.6154 17.3846 16.0172 17.3846 16.5128Z" fill="#0060B7"/>
                    <path d="M17.3846 12.9231C17.3846 13.4187 16.9828 13.8205 16.4872 13.8205C15.9915 13.8205 15.5897 13.4187 15.5897 12.9231C15.5897 12.4274 15.9915 12.0256 16.4872 12.0256C16.9828 12.0256 17.3846 12.4274 17.3846 12.9231Z" fill="#0060B7"/>
                    <path d="M12.8974 16.5128C12.8974 17.0085 12.4956 17.4103 12 17.4103C11.5044 17.4103 11.1026 17.0085 11.1026 16.5128C11.1026 16.0172 11.5044 15.6154 12 15.6154C12.4956 15.6154 12.8974 16.0172 12.8974 16.5128Z" fill="#0060B7"/>
                    <path d="M12.8974 12.9231C12.8974 13.4187 12.4956 13.8205 12 13.8205C11.5044 13.8205 11.1026 13.4187 11.1026 12.9231C11.1026 12.4274 11.5044 12.0256 12 12.0256C12.4956 12.0256 12.8974 12.4274 12.8974 12.9231Z" fill="#0060B7"/>
                    <path d="M8.41025 16.5128C8.41025 17.0085 8.00846 17.4103 7.51282 17.4103C7.01718 17.4103 6.61538 17.0085 6.61538 16.5128C6.61538 16.0172 7.01718 15.6154 7.51282 15.6154C8.00846 15.6154 8.41025 16.0172 8.41025 16.5128Z" fill="#0060B7"/>
                    <path d="M8.41025 12.9231C8.41025 13.4187 8.00846 13.8205 7.51282 13.8205C7.01718 13.8205 6.61538 13.4187 6.61538 12.9231C6.61538 12.4274 7.01718 12.0256 7.51282 12.0256C8.00846 12.0256 8.41025 12.4274 8.41025 12.9231Z" fill="#0060B7"/>
                  </svg>
                  <el-input
                      placeholder="Motorcycle Year"
                      v-mask="'####'"
                      v-model="vehicle.year"
                  ></el-input>
                  <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
                </div>
              </div>
              <div class="col-12 col-md-6">
                <div class="relative mb-20">
                  <label for="">Motorcycle Make</label>
                  <svg data-v-1762e93d="" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><ellipse data-v-1762e93d="" cx="5.41671" cy="14.5833" rx="2.08333" ry="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></ellipse> <circle data-v-1762e93d="" cx="14.5833" cy="14.5833" r="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></circle> <path data-v-1762e93d="" d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z" fill="#0060B7"></path></svg>
                  <el-input
                      placeholder="Motorcycle Make"
                      v-model="vehicle.make"
                  ></el-input>
                  <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
                </div>
              </div>
              <div class="col-12 col-md-6">
                <div class="relative mb-20">
                  <label for="">Vehicle Model</label>
                  <svg data-v-1762e93d="" width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg"><ellipse data-v-1762e93d="" cx="5.41671" cy="14.5833" rx="2.08333" ry="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></ellipse> <circle data-v-1762e93d="" cx="14.5833" cy="14.5833" r="2.08333" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round" stroke-linejoin="round"></circle> <path data-v-1762e93d="" d="M3.51848 15.1831C3.84985 15.1831 4.11848 14.9145 4.11848 14.5831C4.11848 14.2518 3.84985 13.9831 3.51848 13.9831V15.1831ZM1.66663 14.5831H1.06663C1.06663 14.9145 1.33526 15.1831 1.66663 15.1831L1.66663 14.5831ZM1.66663 9.02758L1.10954 8.80474C1.08119 8.87562 1.06663 8.95125 1.06663 9.02758H1.66663ZM3.51848 4.39795V3.79795C3.27314 3.79795 3.05251 3.94732 2.96139 4.17511L3.51848 4.39795ZM11.8518 4.39795L12.3203 4.02313C12.2065 3.8808 12.0341 3.79795 11.8518 3.79795V4.39795ZM15.5555 9.02758L15.087 9.4024C15.2009 9.54472 15.3732 9.62758 15.5555 9.62758V9.02758ZM18.3333 14.5831V15.1831C18.6647 15.1831 18.9333 14.9145 18.9333 14.5831H18.3333ZM16.4814 13.9831C16.1501 13.9831 15.8814 14.2518 15.8814 14.5831C15.8814 14.9145 16.1501 15.1831 16.4814 15.1831V13.9831ZM12.7777 15.1831C13.1091 15.1831 13.3777 14.9145 13.3777 14.5831C13.3777 14.2518 13.1091 13.9831 12.7777 13.9831V15.1831ZM7.22218 13.9831C6.89081 13.9831 6.62218 14.2518 6.62218 14.5831C6.62218 14.9145 6.89081 15.1831 7.22218 15.1831V13.9831ZM1.66663 8.42758C1.33526 8.42758 1.06663 8.69621 1.06663 9.02758C1.06663 9.35895 1.33526 9.62758 1.66663 9.62758V8.42758ZM15.5555 9.62758C15.8869 9.62758 16.1555 9.35895 16.1555 9.02758C16.1555 8.69621 15.8869 8.42758 15.5555 8.42758V9.62758ZM9.39996 9.02758C9.39996 9.35895 9.66859 9.62758 9.99996 9.62758C10.3313 9.62758 10.6 9.35895 10.6 9.02758H9.39996ZM10.6 4.39795C10.6 4.06658 10.3313 3.79795 9.99996 3.79795C9.66859 3.79795 9.39996 4.06658 9.39996 4.39795H10.6ZM3.51848 13.9831H1.66663V15.1831H3.51848V13.9831ZM2.26663 14.5831V9.02758H1.06663V14.5831H2.26663ZM2.22371 9.25041L4.07556 4.62078L2.96139 4.17511L1.10954 8.80474L2.22371 9.25041ZM3.51848 4.99795H11.8518V3.79795H3.51848V4.99795ZM11.3833 4.77277L15.087 9.4024L16.024 8.65276L12.3203 4.02313L11.3833 4.77277ZM15.5555 9.62758H16.4814V8.42758H15.5555V9.62758ZM16.4814 9.62758C17.1728 9.62758 17.7333 10.1881 17.7333 10.8794H18.9333C18.9333 9.52531 17.8356 8.42758 16.4814 8.42758V9.62758ZM17.7333 10.8794V14.5831H18.9333V10.8794H17.7333ZM18.3333 13.9831H16.4814V15.1831H18.3333V13.9831ZM12.7777 13.9831H7.22218V15.1831H12.7777V13.9831ZM1.66663 9.62758H15.5555V8.42758H1.66663V9.62758ZM10.6 9.02758V4.39795H9.39996V9.02758H10.6Z" fill="#0060B7"></path></svg>
                  <el-input
                      placeholder="Motorcycle Model"
                      v-model="vehicle.model"
                  ></el-input>
                  <!--              <p :class="$v.form.from.$anyError ? 'd-block' : 'd-none'">*Please enter a valid Zip  or City</p>-->
                </div>
              </div>
              <div class="col-12">
                <button class="mt-32" @click="step ++">
                  <svg style="margin-top: -3px; margin-right: 4px;" width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <rect x="4" y="3" width="16" height="18" rx="2" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <rect x="8" y="7" width="8" height="3" rx="1" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                  </svg>
                  Calculate
                </button>
              </div>
            </div>
          </div>
          <div v-if="step === 3">
            <h1 class="mb-24">Shipment Details</h1>
            <div class="row">
              <div class="col-12">
<!--                <div class="relative mb-20">-->
<!--                  <label class="mb-8">Name (Optional)</label>-->
<!--                  <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                    <circle cx="10" cy="4.99984" r="3.33333" stroke="#0060B7" stroke-width="1.5"/>-->
<!--                    <path d="M16.6666 14.5835C16.6666 16.6546 16.6666 18.3335 9.99998 18.3335C3.33331 18.3335 3.33331 16.6546 3.33331 14.5835C3.33331 12.5124 6.31808 10.8335 9.99998 10.8335C13.6819 10.8335 16.6666 12.5124 16.6666 14.5835Z" stroke="#0060B7" stroke-width="1.5"/>-->
<!--                  </svg>-->
<!--                  <el-input-->
<!--                      placeholder="Full Name"-->
<!--                      v-model="contactInfo.name"-->
<!--                  >-->
<!--                  </el-input>-->
<!--                </div>-->
                <div class="relative mb-20" :class="{ 'hasError': $v.contactInfo.email.$anyError}">
                  <label class="mb-8">Get a copy of the quote on your Email</label>
                  <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M1.66663 10.0002C1.66663 6.85747 1.66663 5.28612 2.64294 4.30981C3.61925 3.3335 5.1906 3.3335 8.33329 3.3335H11.6666C14.8093 3.3335 16.3807 3.3335 17.357 4.30981C18.3333 5.28612 18.3333 6.85747 18.3333 10.0002C18.3333 13.1429 18.3333 14.7142 17.357 15.6905C16.3807 16.6668 14.8093 16.6668 11.6666 16.6668H8.33329C5.1906 16.6668 3.61925 16.6668 2.64294 15.6905C1.66663 14.7142 1.66663 13.1429 1.66663 10.0002Z" stroke="#0060B7" stroke-width="1.2"/>
                    <path d="M5 6.6665L6.79908 8.16574C8.32961 9.44118 9.09488 10.0789 10 10.0789C10.9051 10.0789 11.6704 9.44118 13.2009 8.16574L15 6.6665" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                  </svg>
                  <el-input
                      id="calculator-email"
                      placeholder="example@email.com"
                      v-model="contactInfo.email"
                  >
                  </el-input>
                  <p :class="$v.contactInfo.email.$anyError ? 'd-block' : 'd-none'">*Please enter a valid email address!</p>
                </div>
                <div class="relative mb-20" :class="{ 'hasError': $v.contactInfo.date.$anyError}">
                    <label class="mb-8">Ship date</label>
                    <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M2.52136 10.021C2.52136 7.20062 2.52136 5.79044 3.39754 4.91426C4.27371 4.03809 5.6839 4.03809 8.50427 4.03809H11.4957C14.3161 4.03809 15.7263 4.03809 16.6024 4.91426C17.4786 5.79044 17.4786 7.20062 17.4786 10.021V11.5167C17.4786 14.3371 17.4786 15.7473 16.6024 16.6234C15.7263 17.4996 14.3161 17.4996 11.4957 17.4996H8.50427C5.6839 17.4996 4.27371 17.4996 3.39754 16.6234C2.52136 15.7473 2.52136 14.3371 2.52136 11.5167V10.021Z" stroke="#0060B7" stroke-width="1.2"/>
                      <path d="M6.26062 4.0383V2.9165" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                      <path d="M13.7393 4.0383V2.9165" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                      <path d="M2.89526 7.77783H17.1047" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                      <path d="M14.4872 13.7603C14.4872 14.1733 14.1524 14.5082 13.7393 14.5082C13.3263 14.5082 12.9915 14.1733 12.9915 13.7603C12.9915 13.3473 13.3263 13.0124 13.7393 13.0124C14.1524 13.0124 14.4872 13.3473 14.4872 13.7603Z" fill="#0060B7"/>
                      <path d="M14.4872 10.7689C14.4872 11.1819 14.1524 11.5167 13.7393 11.5167C13.3263 11.5167 12.9915 11.1819 12.9915 10.7689C12.9915 10.3558 13.3263 10.021 13.7393 10.021C14.1524 10.021 14.4872 10.3558 14.4872 10.7689Z" fill="#0060B7"/>
                      <path d="M10.7478 13.7603C10.7478 14.1733 10.413 14.5082 9.99994 14.5082C9.5869 14.5082 9.25208 14.1733 9.25208 13.7603C9.25208 13.3473 9.5869 13.0124 9.99994 13.0124C10.413 13.0124 10.7478 13.3473 10.7478 13.7603Z" fill="#0060B7"/>
                      <path d="M10.7478 10.7689C10.7478 11.1819 10.413 11.5167 9.99994 11.5167C9.5869 11.5167 9.25208 11.1819 9.25208 10.7689C9.25208 10.3558 9.5869 10.021 9.99994 10.021C10.413 10.021 10.7478 10.3558 10.7478 10.7689Z" fill="#0060B7"/>
                      <path d="M7.00854 13.7603C7.00854 14.1733 6.67371 14.5082 6.26068 14.5082C5.84765 14.5082 5.51282 14.1733 5.51282 13.7603C5.51282 13.3473 5.84765 13.0124 6.26068 13.0124C6.67371 13.0124 7.00854 13.3473 7.00854 13.7603Z" fill="#0060B7"/>
                      <path d="M7.00854 10.7689C7.00854 11.1819 6.67371 11.5167 6.26068 11.5167C5.84765 11.5167 5.51282 11.1819 5.51282 10.7689C5.51282 10.3558 5.84765 10.021 6.26068 10.021C6.67371 10.021 7.00854 10.3558 7.00854 10.7689Z" fill="#0060B7"/>
                    </svg>
                    <el-date-picker
                        v-show="shipmentDetails.unspecifiedDate === 'particularDate'"
                        id="calculate-date"
                        v-mask="'####-##-##'"
                        style="width: 100%"
                        v-model="shipmentDetails.specificDate"
                        value-format="dd/MM/yyyy"
                        placeholder="Pickup date"
                        @change="handleSelectDate()"
                    >
                    </el-date-picker>
                    <el-select
                        v-show="shipmentDetails.unspecifiedDate !== 'particularDate'"
                        class=""
                        id="calculator-date"
                        :automatic-dropdown="false"
                        v-model="shipmentDetails.unspecifiedDate"
                        placeholder="Pickup Date"
                        style="width: 100%"
                        @change="handleSpecificDate(shipmentDetails.unspecifiedDate)"
                    >
                      <el-option
                          class="date-options"
                          label="As Soon As Possible"
                          value="As Soon As Possible"
                      >
                        <span>As Soon As Possible</span>
                      </el-option>
                      <el-option
                          class="date-options"
                          label="Within 7 days"
                          value="2"
                      >
                        <span>Within 7 days</span>
                      </el-option>
                      <el-option
                          class="date-options"
                          label="Within 2 weeks"
                          value="3"
                      >
                        <span>Within 2 Weeks</span>
                      </el-option>
                      <el-option
                          class="date-options"
                          label="Choose a Particilar Date"
                          value="particularDate"
                      >
                        <span>On a specific date</span>
                      </el-option>
                      <el-option
                          class="date-options"
                          label="Not sure yet"
                          value="Not sure yet"
                      >
                        <span>Not sure yet</span>
                      </el-option>
                    </el-select>
                  <p :class="$v.contactInfo.date.$anyError ? 'd-block' : 'd-none'">*Please select a pickup period</p>

                </div>
                <div class="relative mb-20" :class="{ 'hasError': $v.contactInfo.phone.$anyError}">
                  <label class="mb-8">Get a copy of the quote as a Text Message</label>
                  <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M3.33331 8.33317C3.33331 5.19047 3.33331 3.61913 4.30962 2.64281C5.28593 1.6665 6.85728 1.6665 9.99998 1.6665C13.1427 1.6665 14.714 1.6665 15.6903 2.64281C16.6666 3.61913 16.6666 5.19047 16.6666 8.33317V11.6665C16.6666 14.8092 16.6666 16.3805 15.6903 17.3569C14.714 18.3332 13.1427 18.3332 9.99998 18.3332C6.85728 18.3332 5.28593 18.3332 4.30962 17.3569C3.33331 16.3805 3.33331 14.8092 3.33331 11.6665V8.33317Z" stroke="#0060B7" stroke-width="1.2"/>
                    <path d="M12.5 15.8335H7.5" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                  </svg>
                  <el-input
                      id="calculator-phone"
                      placeholder="(___) ___ __ __"
                      v-model="contactInfo.phone"
                      v-mask="'(###) ### ## ##'"
                  >
                  </el-input>
                  <p :class="$v.contactInfo.phone.$anyError ? 'd-block' : 'd-none'">*Please enter  a valid phone number!</p>
                </div>
              </div>
              <div class="col-12">
                <button class="mt-32" @click="contactInfoValidate()">
                  <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <rect x="4" y="3" width="16" height="18" rx="2" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <rect x="8" y="7" width="8" height="3" rx="1" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 14V14.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M8 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M12 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                    <path d="M16 17V17.01" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
                  </svg>
                  Calculate
                </button>
              </div>
            </div>
          </div>
          <a v-if="step === 1 || step === 5" href="tel: +(865) 312-6670" class="d-flex flex-wrap align-items-center justify-content-center justify-content-md-between give-us-call text-center text-md-left mt-32 mb-32">
            <div>
              <p>
                Have any other questions?
              </p>
              <h3>Give us a call!</h3>
            </div>
            <div class="d-flex align-items-center call-btn">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M13 3C13 3 15.2 3.2 18 6C20.8 8.8 21 11 21 11" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                <path d="M13.207 6.53564C13.207 6.53564 14.197 6.81849 15.6819 8.30341C17.1668 9.78834 17.4497 10.7783 17.4497 10.7783" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
                <path d="M9.03759 6.31617L9.6866 7.4791C10.2723 8.52858 10.0372 9.90532 9.11471 10.8278C9.11471 10.8278 9.11471 10.8278 9.11471 10.8278C9.11459 10.8279 7.99588 11.9468 10.0245 13.9755C12.0525 16.0035 13.1714 14.8861 13.1722 14.8853C13.1722 14.8853 13.1722 14.8853 13.1722 14.8853C14.0947 13.9628 15.4714 13.7277 16.5209 14.3134L17.6838 14.9624C19.2686 15.8468 19.4557 18.0692 18.0628 19.4622C17.2258 20.2992 16.2004 20.9505 15.0669 20.9934C13.1588 21.0658 9.91828 20.5829 6.6677 17.3323C3.41713 14.0817 2.93421 10.8412 3.00655 8.93309C3.04952 7.7996 3.7008 6.77423 4.53781 5.93723C5.93076 4.54428 8.15317 4.73144 9.03759 6.31617Z" stroke="#0060B7" stroke-width="1.2" stroke-linecap="round"/>
              </svg>
              <h4>
                (865) 312-6670
                </h4>
            </div>
          </a>
        </div>
        <div class="col-12 col-lg-3 calculator-details">
          <div v-if="step > 4" class="calculator-details-frame mb-16">
            <h6 class="mb-16">Price</h6>
            <div v-if="discount" class="d-flex align-items-center justify-content-between mb-16">
              <div>
                <p class="mb-4">
                  Price without discount
                </p>
                <h6>$1499</h6>
              </div>
              <div>
                <p class="mb-4">
                  Discount
                </p>
                <h6 style="color: #FF7B54;">$50</h6>
              </div>
            </div>
            <p>Total Price</p>
            <h2 class="mb-16 mt-4"><span  v-if="chosenPrice">${{chosenPrice}}</span><span  v-else>${{orderPrice}}</span></h2>
          </div>
            <div v-if="step > 1"  class="calculator-details-frame mb-16">
              <div class="accordion" role="tablist">
                <b-card  no-body >
                  <b-card-header header-tag="header" role="tab">
                    <div>
                      <b-button
                          class="
                          d-flex
                          align-items-center
                          justify-content-between
                          text-left
                          p-18
                        "
                          block
                          v-b-toggle="'accordion-1'"
                      >
                        <div>
                        <h1>1 <span>Route details</span></h1>
                        </div>
                        <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                          <path d="M4.16675 7.5L10.0001 12.5L15.8334 7.5" stroke="#0060B7" stroke-opacity="0.6" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
                      </b-button>
                    </div>
                  </b-card-header>
                  <b-collapse
                      :id="'accordion-1'"
                      visible
                      accordion="my-accordion"
                      role="tabpanel"
                  >
                    <b-card-body>
                      <svg @click="step1Edit()" class="edit-btn" width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <rect width="32" height="32" rx="8" fill="#F7F8F9"/>
                        <path d="M10.6666 22.6665H21.3333" stroke="#768194" stroke-width="1.2" stroke-linecap="round"/>
                        <path d="M17.2587 10.4421L17.753 9.94778C18.572 9.12874 19.9 9.12874 20.719 9.94778C21.5381 10.7668 21.5381 12.0948 20.719 12.9138L20.2247 13.4081M17.2587 10.4421C17.2587 10.4421 17.3205 11.4926 18.2473 12.4195C19.1742 13.3463 20.2247 13.4081 20.2247 13.4081M17.2587 10.4421L12.714 14.9868C12.4062 15.2946 12.2523 15.4485 12.1199 15.6182C11.9638 15.8184 11.8299 16.035 11.7207 16.2642C11.6281 16.4585 11.5593 16.6649 11.4216 17.0779L10.8383 18.8279M20.2247 13.4081L15.68 17.9528C15.3722 18.2606 15.2183 18.4145 15.0486 18.5469C14.8484 18.703 14.6318 18.8369 14.4026 18.9461C14.2083 19.0387 14.0018 19.1075 13.5889 19.2452L11.8389 19.8285M11.8389 19.8285L11.4111 19.9711C11.2078 20.0389 10.9838 19.986 10.8323 19.8345C10.6808 19.683 10.6279 19.4589 10.6957 19.2557L10.8383 18.8279M11.8389 19.8285L10.8383 18.8279" stroke="#768194" stroke-width="1.2"/>
                      </svg>

                      <div class="mb-20">
                        <p>Ship from</p>
                        <h6>
                          {{shipmentDetails.from}}
                        </h6>
                      </div>
                      <div class="mb-20">
                        <p>Deliver to</p>
                        <h6>
                          {{shipmentDetails.to}}
                        </h6>
                      </div>
                      <div class="mb-20">
                        <p>Vehicle Type</p>
                        <h6>
                          {{shipmentDetails.type}}
                        </h6>
                      </div>

                    </b-card-body>
                  </b-collapse>
                </b-card>
              </div>
              <div v-if="step > 2">
                <hr class="mb-20 mt-20">
                <div class="accordion" role="tablist">
                  <b-card  no-body >
                    <b-card-header header-tag="header" role="tab">
                      <div>
                        <b-button
                            class="
                          d-flex
                          align-items-center
                          justify-content-between
                          text-left
                          p-18
                        "
                            block
                            v-b-toggle="'accordion-2'"
                        >
                          <div>
                            <h1>2 <span>Vehicle Information</span></h1>
                          </div>
                          <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M4.16675 7.5L10.0001 12.5L15.8334 7.5" stroke="#0060B7" stroke-opacity="0.6" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                          </svg>
                        </b-button>
                      </div>
                    </b-card-header>
                    <b-collapse
                        :id="'accordion-2'"
                        visible
                        accordion="my-accordion"
                        role="tabpanel"
                    >
                      <b-card-body>
                        <svg @click="step2Edit()" class="edit-btn" width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
                          <rect width="32" height="32" rx="8" fill="#F7F8F9"/>
                          <path d="M10.6666 22.6665H21.3333" stroke="#768194" stroke-width="1.2" stroke-linecap="round"/>
                          <path d="M17.2587 10.4421L17.753 9.94778C18.572 9.12874 19.9 9.12874 20.719 9.94778C21.5381 10.7668 21.5381 12.0948 20.719 12.9138L20.2247 13.4081M17.2587 10.4421C17.2587 10.4421 17.3205 11.4926 18.2473 12.4195C19.1742 13.3463 20.2247 13.4081 20.2247 13.4081M17.2587 10.4421L12.714 14.9868C12.4062 15.2946 12.2523 15.4485 12.1199 15.6182C11.9638 15.8184 11.8299 16.035 11.7207 16.2642C11.6281 16.4585 11.5593 16.6649 11.4216 17.0779L10.8383 18.8279M20.2247 13.4081L15.68 17.9528C15.3722 18.2606 15.2183 18.4145 15.0486 18.5469C14.8484 18.703 14.6318 18.8369 14.4026 18.9461C14.2083 19.0387 14.0018 19.1075 13.5889 19.2452L11.8389 19.8285M11.8389 19.8285L11.4111 19.9711C11.2078 20.0389 10.9838 19.986 10.8323 19.8345C10.6808 19.683 10.6279 19.4589 10.6957 19.2557L10.8383 18.8279M11.8389 19.8285L10.8383 18.8279" stroke="#768194" stroke-width="1.2"/>
                        </svg>
<!--                        <div class="mb-20">-->
<!--                          <p>Name</p>-->
<!--                          <h6>-->
<!--                            {{contactInfo.name}}-->
<!--                          </h6>-->
<!--                        </div>-->
                          <div class="mb-20">
                            <p>Vehicle Year</p>
                            <h6>
                              {{vehicle.year}}
                            </h6>
                          </div>
                        <div class="mb-20">
                          <p>Vehicle Make</p>
                          <h6>
                            {{vehicle.make}}
                          </h6>
                        </div>
                        <div class="mb-20">
                          <p>Vehicle Model</p>
                          <h6>
                            {{vehicle.model}}
                          </h6>
                        </div>
                      </b-card-body>
                    </b-collapse>
                  </b-card>
                </div>
              </div>
              <div v-if="step > 3">
                <hr class="mb-20 mt-20">
                <div class="accordion" role="tablist">
                  <b-card  no-body >
                    <b-card-header header-tag="header" role="tab">
                      <div>
                        <b-button
                            class="
                          d-flex
                          align-items-center
                          justify-content-between
                          text-left
                          p-18
                        "
                            block
                            v-b-toggle="'accordion-3'"
                        >
                          <div>
                            <h1>3 <span>Shipment Details</span></h1>
                          </div>
                          <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M4.16675 7.5L10.0001 12.5L15.8334 7.5" stroke="#0060B7" stroke-opacity="0.6" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                          </svg>
                        </b-button>
                      </div>
                    </b-card-header>
                    <b-collapse
                        :id="'accordion-3'"
                        visible
                        accordion="my-accordion"
                        role="tabpanel"
                    >
                      <b-card-body>
                        <svg @click="step3Edit()" class="edit-btn" width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
                          <rect width="32" height="32" rx="8" fill="#F7F8F9"/>
                          <path d="M10.6666 22.6665H21.3333" stroke="#768194" stroke-width="1.2" stroke-linecap="round"/>
                          <path d="M17.2587 10.4421L17.753 9.94778C18.572 9.12874 19.9 9.12874 20.719 9.94778C21.5381 10.7668 21.5381 12.0948 20.719 12.9138L20.2247 13.4081M17.2587 10.4421C17.2587 10.4421 17.3205 11.4926 18.2473 12.4195C19.1742 13.3463 20.2247 13.4081 20.2247 13.4081M17.2587 10.4421L12.714 14.9868C12.4062 15.2946 12.2523 15.4485 12.1199 15.6182C11.9638 15.8184 11.8299 16.035 11.7207 16.2642C11.6281 16.4585 11.5593 16.6649 11.4216 17.0779L10.8383 18.8279M20.2247 13.4081L15.68 17.9528C15.3722 18.2606 15.2183 18.4145 15.0486 18.5469C14.8484 18.703 14.6318 18.8369 14.4026 18.9461C14.2083 19.0387 14.0018 19.1075 13.5889 19.2452L11.8389 19.8285M11.8389 19.8285L11.4111 19.9711C11.2078 20.0389 10.9838 19.986 10.8323 19.8345C10.6808 19.683 10.6279 19.4589 10.6957 19.2557L10.8383 18.8279M11.8389 19.8285L10.8383 18.8279" stroke="#768194" stroke-width="1.2"/>
                        </svg>
<!--                        <div class="mb-20">-->
<!--                          <p>Name</p>-->
<!--                          <h6>-->
<!--                            {{contactInfo.name}}-->
<!--                          </h6>-->
<!--                        </div>-->
                        <div class="mb-20">
                          <div class="mb-20">
                            <p>Shipment Date</p>
                            <h6>
                              {{contactInfo.date}}
                            </h6>
                          </div>

                          <p>Email</p>
                          <h6>
                            {{contactInfo.email}}
                          </h6>
                        </div>
                        <div class="mb-20">
                          <p>Phone</p>
                          <h6>
                            {{contactInfo.phone}}
                          </h6>
                        </div>
                      </b-card-body>
                    </b-collapse>
                  </b-card>
                </div>
              </div>
            </div>
          <div v-if="step < 2" class="calculator-details-frame mb-16">
            <h6 class="mb-16">Reservation details</h6>
            <h2 class="mb-16"><span>$0</span> upfront payment</h2>
            <div class="d-flex align-items-center">
              <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M3 11.25C2.58579 11.25 2.25 11.5858 2.25 12C2.25 12.4142 2.58579 12.75 3 12.75V11.25ZM4 12.75C4.41421 12.75 4.75 12.4142 4.75 12C4.75 11.5858 4.41421 11.25 4 11.25V12.75ZM12.75 3C12.75 2.58579 12.4142 2.25 12 2.25C11.5858 2.25 11.25 2.58579 11.25 3H12.75ZM11.25 4C11.25 4.41421 11.5858 4.75 12 4.75C12.4142 4.75 12.75 4.41421 12.75 4H11.25ZM20 11.25C19.5858 11.25 19.25 11.5858 19.25 12C19.25 12.4142 19.5858 12.75 20 12.75V11.25ZM21 12.75C21.4142 12.75 21.75 12.4142 21.75 12C21.75 11.5858 21.4142 11.25 21 11.25V12.75ZM6.13033 5.06967C5.83744 4.77678 5.36256 4.77678 5.06967 5.06967C4.77678 5.36256 4.77678 5.83744 5.06967 6.13033L6.13033 5.06967ZM5.76967 6.83033C6.06256 7.12322 6.53744 7.12322 6.83033 6.83033C7.12322 6.53744 7.12322 6.06256 6.83033 5.76967L5.76967 6.83033ZM18.9303 6.13033C19.2232 5.83744 19.2232 5.36256 18.9303 5.06967C18.6374 4.77678 18.1626 4.77678 17.8697 5.06967L18.9303 6.13033ZM17.1697 5.76967C16.8768 6.06256 16.8768 6.53744 17.1697 6.83033C17.4626 7.12322 17.9374 7.12322 18.2303 6.83033L17.1697 5.76967ZM3 12.75H4V11.25H3V12.75ZM11.25 3V4H12.75V3H11.25ZM20 12.75H21V11.25H20V12.75ZM5.06967 6.13033L5.76967 6.83033L6.83033 5.76967L6.13033 5.06967L5.06967 6.13033ZM17.8697 5.06967L17.1697 5.76967L18.2303 6.83033L18.9303 6.13033L17.8697 5.06967Z" fill="#768194"/>
                <path d="M9.00002 16C7.2783 14.7087 6.57603 12.4606 7.2566 10.4189C7.93717 8.37715 9.84786 7 12 7C14.1522 7 16.0629 8.37715 16.7434 10.4189C17.424 12.4606 16.7217 14.7087 15 16C14.2082 16.7838 13.8368 17.8978 14 19C14 20.1046 13.1046 21 12 21C10.8954 21 10 20.1046 10 19C10.1632 17.8978 9.79185 16.7838 9.00002 16" stroke="#768194" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                <path d="M9.70001 17H14.3" stroke="#768194" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
              </svg>
              <p class="pl-8">
                You won’t pay a dime until your car is picked up!
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-12 pt-100">
        <home-trusted-by/>
        <homeReviews/>
      </div>
    </div>
  </div>

</template>

<script>
import {mapState} from "vuex";
import {email, required, minLength} from "vuelidate/lib/validators";

export default {
  layout: "calculator",

  name: "index",

  data() {
    return {
      step: 1,
      bestDeal: true,
      discount: false,
      orderPrice: '',
      expeditedOrderPrice: '',
      linedOrderPrice: '',
      chosenPrice: '',
      shipmentDetails: {
        from: "",
        to: "",
        method: "1",
        condition: "1",
        type: '',
        date: '',
        specificDate: '',
        unspecifiedDate: ''
      },
      contactInfo: {
        name: "",
        email: "",
        phone: "",
        date: ""
      },
      vehicle: {
        year: '',
        make: '',
        model: ''
      }
    }
  },

  validations: {
    shipmentDetails: {
      from: {required, min: minLength(5)},
      to: {required, min: minLength(5)},
      type: {required},
    },


    contactInfo: {
      email: {required, email},
      date: {required},
      phone: {required}
    },
  },

  watch: {
    step(val) {
      if(val === 2) {
        setTimeout(() => {
          document.getElementById('vehicle-year-main')?.focus()
        }, 10)
      }
    },

    'shipmentDetails.specificDate' (val) {
      if(!val){
        this.shipmentDetails.unspecifiedDate = ""
      }
    }
  },

  methods: {
    step1Edit() {
      this.step = 1;
      window.scrollTo(0, 0 );
    },

    step2Edit() {
      this.step = 2;
      window.scrollTo(0, 0 );
    },

    step3Edit() {
      this.step = 3;
      window.scrollTo(0, 0 );
    },

    async contactInfoValidate(){
      let pickUpZip = this.shipmentDetails.from.substring(this.shipmentDetails.from.length - 5, this.shipmentDetails.from.length);
      let dropOffZip = this.shipmentDetails.to.substring(this.shipmentDetails.to.length - 5, this.shipmentDetails.to.length);
      let vehicleType = this.shipmentDetails.type;
      if (vehicleType !== 'Car' || vehicleType !== 'SUV' || vehicleType !== 'Pickup') {
        vehicleType = 'Car'
      }
      this.$v.contactInfo.$touch();
      if (!this.$v.contactInfo.$invalid) {
        this.$router.push({ path: '/calculator/viewprice',
          query: {
            from: this.shipmentDetails.from,
            to: this.shipmentDetails.to,
            date: this.contactInfo.date,
            type: this.shipmentDetails.type,
            name: this.contactInfo.name,
            email: this.contactInfo.email,
            vehicleYear: this.vehicle.year,
            vehicleMake: this.vehicle.make,
            vehicleModel: this.vehicle.model,
            phone: this.contactInfo.phone} })
      }
    },

    shipmentDetailsValidate(){
        this.$v.shipmentDetails.$touch();
        if (!this.$v.shipmentDetails.$invalid) {
          this.step ++;
        }
    },

    async querySearch(key, cb) {
      await this.$store.dispatch("fetchZips", key);
      setTimeout(() => {
        let results = this.zips;
        cb(results);
      }, 100)
    },

    querySearchVehicleYear(key, cb) {
      let years = this.vehicleYear
      let results = key ? years.filter(this.createFilter(key)) : years;
      cb(results)
    },

    createFilter(key) {
      return (year) => {
        return (year.toLowerCase().indexOf(key.toLowerCase()) === 0);
      };
    },

    async querySearchVehicleMake(key, cb) {
      await this.$store.dispatch("fetchVehicleMake", {
        year: "",
        key: key
      });
      setTimeout(() => {
        let results = this.vehicleMake;
        cb(results);
      }, 100)
    },

    async querySearchVehicleModel(key, cb) {
      await this.$store.dispatch("fetchVehicleModel", {
        make: this.vehicle.make,
        year: "",
        key: key
      });
      setTimeout(() => {
        let results = this.vehicleModel;
        cb(results);
      }, 100)
    },

    handleSelectVehicleYear(item) {
      this.vehicle.year = item
      document.getElementById('vehicle-make-main')?.focus()
    },

    async  handleSelectVehicleMake(year, make) {
      await this.$store.dispatch("fetchVehicleModel", {year: "", make: make, key: ""});
      document.getElementById('vehicle-model-main')?.focus()

    },

    handleSelectTo(item) {
      this.shipmentDetails.to = `${item.city}, ${item.state}, ${item.name}`
      document.getElementById('calculate-type')?.focus()
    },

    handleSelectFrom(item) {
      this.shipmentDetails.from = `${item.city}, ${item.state}, ${item.name}`
      document.getElementById('calculate-to')?.focus()
    },

    handleSelectDate() {
      document.getElementById('calculator-phone').focus()
      this.contactInfo.date = this.shipmentDetails.specificDate
    },

    handleSpecificDate(value) {
      let dateToSend = new Date();
      if(value === 'particularDate') {
        setTimeout(() => {
          document.getElementById('calculate-date').focus()
        }, 10)
      } else {
        setTimeout(() => {
          document.getElementById('calculator-phone')?.focus()
        }, 10)
        this.contactInfo.date = dateToSend.getFullYear() + '-' + (dateToSend.getMonth()+1) + '-' + (dateToSend.getDate()+2)
      }
    }
  },

 async mounted() {
    if(this.$route.query.error) {
      this.$notify.error({
        title: 'Error',
        message: 'Please try selecting again from the available options?',
      });
    }
  },

  computed: {
    ...mapState({
      zips: (state) => state.zips,
      vehicleYear: (state) => state.vehicleYear,
      vehicleMake: (state) => state.vehicleMake,
      vehicleModel: (state) => state.vehicleModel,
    }),
  },
}
</script>

<style scoped>

</style>
